#include "task_helpers.h"

#include "controller_helpers.h"

namespace maps::wiki::tests {

std::unique_ptr<social::Task>
getTask(
    TCommitId commitId,
    TUid userId)
{
    const auto getSocialModerationTaskByCommitResult =
        performRequest<GetSocialModerationTaskByCommit>(userId, commitId, TESTS_TOKEN);

    return std::move(getSocialModerationTaskByCommitResult->task);
}

} // namespace maps::wiki::tests
